ApiBundles
List bundle tools
List all tools in a bundle with pagination and optional filtering to enabled-only tools.
Path Parameters
bundle_id*string
Format
uuidQuery Parameters
enabled_only?boolean
Only return enabled tools
Default
truepage?integer
Page number
Default
1Range
1 <= valuepage_size?integer
Items per page
Default
50Range
1 <= value <= 200Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08/tools"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tool_id": "6c5cc6aa-c017-4456-ab57-583572511a6c",
"override_name": "string",
"override_description": "string",
"enabled": true,
"display_order": 0,
"has_override_embedding": false,
"original_name": "string",
"original_description": "string",
"server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
"server_name": "string",
"input_schema": {},
"tool_name": "string",
"effective_name": "string",
"effective_description": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"total": 0,
"page": 0,
"page_size": 0,
"has_next": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}